Skip to main content

AppController_getMicroblocks

GET 

/api/v1/microblocks

AppController_getMicroblocks

Request​

Query Parameters

    order string

    Possible values: [ASC, DESC]

    Default value: ASC

    Sort order

    offset number

    How many results to skip (for pagination)

    limit number

    Maximum number of results

    sort string

    Possible values: [height, blockHeight]

    Field on which the sort is applied

    hash string

    Block hash

    block_height number

    Block height

    vb_id string

    Virtual blockchain ID

    include_content boolean

    Flag to include the microblock content in the response

Responses​

Schema

    hasMore booleanrequired

    Set to 'true' if more results are available.

    totalRecords number

    Total number of available records. Returned only when 'offset' is used in the query.

    items

    object[]

    required

  • Array [

  • hash stringrequired
    blockHeight numberrequired
    virtualBlockchainId stringrequired
    type numberrequired
    height numberrequired
    size numberrequired
    gas numberrequired
    gasPrice numberrequired

    Expressed in atomics

    content string

    Base64 representation of the microblock content. Returned only if 'include_content' was set to true.

  • ]

Loading...